{
  "name": "@tripetto/runner-classic-fluentui",
  "title": "Tripetto Classic Fluent UI Runner",
  "version": "3.2.3",
  "description": "Classic form UI (using Microsoft Fluent UI) for running Tripetto forms and surveys.",
  "license": "CC-BY-NC-ND-4.0",
  "private": false,
  "homepage": "https://gitlab.com/tripetto/runners/classic-fluentui",
  "keywords": [
    "tripetto",
    "runner",
    "form kit",
    "form builder",
    "form builder SDK",
    "form",
    "forms",
    "survey",
    "surveys"
  ],
  "author": {
    "name": "Mark van den Brink",
    "email": "mark@vandenbr.ink",
    "url": "http://mark.vandenbr.ink"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/tripetto/runners/classic-fluentui.git"
  },
  "bugs": {
    "url": "https://gitlab.com/tripetto/runners/classic-fluentui/issues"
  },
  "main": "./runner/es5/index.js",
  "browser": "./runner/es5/index.js",
  "module": "./runner/esm/index.mjs",
  "unpkg": "./runner/index.js",
  "jsdelivr": "./runner/index.js",
  "types": "./runner/types/index.d.ts",
  "exports": {
    ".": {
      "import": "./runner/esm/index.mjs",
      "require": "./runner/es5/index.js",
      "umd": "./runner/index.js",
      "script": "./runner/index.js",
      "types": "./runner/types/index.d.ts",
      "default": "./runner/es5/index.js"
    },
    "./runner": {
      "import": "./runner/esm/index.mjs",
      "require": "./runner/es5/index.js",
      "umd": "./runner/index.js",
      "script": "./runner/index.js",
      "types": "./runner/types/index.d.ts",
      "default": "./runner/es5/index.js"
    },
    "./runner/es5": {
      "types": "./runner/types/index.d.ts",
      "default": "./runner/es5/index.js"
    },
    "./runner/translations/*": "./runner/translations/*",
    "./runner/locales/*": "./runner/locales/*",
    "./builder": {
      "import": "./builder/esm/index.mjs",
      "require": "./builder/es5/index.js",
      "umd": "./builder/index.js",
      "script": "./builder/index.js",
      "types": "./builder/types/index.d.ts",
      "default": "./builder/es5/index.js"
    },
    "./builder/es5": {
      "types": "./builder/types/index.d.ts",
      "default": "./builder/es5/index.js"
    },
    "./builder/l10n": {
      "import": "./builder/l10n/index.mjs",
      "types": "./builder/l10n/index.d.ts",
      "default": "./builder/l10n/index.js"
    },
    "./builder/styles": {
      "import": "./builder/styles/index.mjs",
      "types": "./builder/styles/index.d.ts",
      "default": "./builder/styles/index.js"
    },
    "./builder/translations/*": "./builder/translations/*",
    "./es5": {
      "types": "./runner/types/index.d.ts",
      "default": "./runner/es5/index.js"
    },
    "./react": {
      "import": "./runner/esm/index.mjs",
      "require": "./runner/es5/index.js",
      "umd": "./runner/index.js",
      "script": "./runner/index.js",
      "types": "./runner/types/index.d.ts",
      "default": "./runner/es5/index.js"
    },
    "./angular": {
      "types": "./angular/index.d.ts",
      "esm2020": "./angular/esm2020/runner.mjs",
      "es2020": "./angular/fesm2020/runner.mjs",
      "es2015": "./angular/fesm2015/runner.mjs",
      "node": "./angular/fesm2015/runner.mjs",
      "default": "./angular/fesm2020/runner.mjs"
    },
    "./translations/*": "./runner/translations/*.json",
    "./locales/*": "./runner/locales/*.json",
    "./package.json": "./package.json"
  },
  "scripts": {
    "update": "npm-check -su && node ./tasks/update/update.js",
    "format": "prettier --trailing-comma es5 --write \"src/**/*.ts\" \"src/**/*.tsx\" \"tasks/**/*.js\" \"*.json\" \"!package-lock.json\" \"*.yml\" \"webpack.config.js\"",
    "lint": "eslint ./src/**/*.ts*",
    "stats": "ts-stats",
    "pot": "node ./tasks/l10n/sources.js && xgettext -f ./translations/sources --language=\"JavaScript\" --keyword=\"npgettext:1c,2,3\" --keyword=\"dnpgettext:2c,3,4\" --keyword=\"_n:1,2\" --from-code=\"UTF-8\" --no-wrap --sort-output --force-po --no-location --add-comments=\"TRANSLATOR: \" --output=\"./translations/template.pot\" && shx rm -rf ./translations/sources && node ./tasks/l10n/pot.js",
    "test": "webpack-dev-server --mode development",
    "make:clean": "shx rm -rf *.tgz ./runner/* ./builder/* ./angular/* ./translations/*.json ./translations/*.pot ./reports/*",
    "make:compile": "npm run make:l10n && tsc",
    "make:styles": "shx rm -rf ./builder/styles/* && tsc --project tsconfig.styles.json && node ./tasks/styles/styles.js && shx mv ./builder/styles/index.js ./builder/styles/index.mjs && tsc --project tsconfig.styles.json --target ES5 --module CommonJS && node ./tasks/styles/styles.js && prettier --ignore-path=.prettierignore --trailing-comma es5 --tab-width 4 --write \"builder/styles/*\"",
    "make:locales": "shx rm -rf ./runner/locales/ && shx mkdir -p ./runner/locales/ && shx cp ./node_modules/@tripetto/builder/locales/*.json ./runner/locales/",
    "make:po2json": "shx rm -rf ./translations/*.json && node ./tasks/l10n/po2json.js && node ./tasks/l10n/combine.js",
    "make:l10n": "shx rm -rf ./builder/l10n/* && npm run pot && node ./tasks/l10n/l10n.js",
    "make:types": "npm run make:l10n && shx rm -rf ./runner/types/* && shx rm -rf ./builder/types/* && node ./tasks/types/builder.js && dts-bundle-generator --no-banner --no-check -o ./runner/types/index.d.ts ./src/module.ts && node ./tasks/types/postprocessing.js && prettier --ignore-path=.prettierignore --trailing-comma es5 --tab-width 4 --write \"builder/types/*.d.ts\" \"runner/types/*.d.ts\" && shx cp ./builder/types/index.d.ts ./builder/types/index.test.ts && shx cp ./runner/types/index.d.ts ./runner/types/index.test.ts && tsc --project tsconfig.types.json && shx rm ./runner/types/index.test.ts ./builder/types/index.test.ts",
    "make:esm": "rollup -c --bundleConfigAsCjs",
    "make:angular": "cd ./src/angular && npm run make && cd ../..",
    "make:tests": "node ./tests/es5.spec.js && node ./tests/esm.spec.mjs",
    "make:bundle": "webpack --mode production",
    "make:directives": "node ./tasks/bundle/directives.js",
    "make": "npm run make:clean && npm run lint && npm run make:locales && npm run make:po2json && npm run make:types && npm run make:styles && npm run make:bundle && npm run make:esm && npm run make:directives && npm run make:angular && npm run make:tests && npm run stats",
    "preversion": "npm run format && npm run lint && npm run make:compile && exit-on-dirty-git",
    "postversion": "git push --follow-tags",
    "prepack": "npm run make",
    "prepublishOnly": "exit-on-dirty-git",
    "publish:next": "git-branch-is next && git push --set-upstream origin next && npm version prerelease && npm publish --tag next",
    "publish:patch": "git-branch-is main && npm version patch && npm publish",
    "publish:minor": "git-branch-is main && npm version minor && npm publish",
    "publish:major": "git-branch-is main && npm version major && npm publish"
  },
  "devDependencies": {
    "@compodoc/ts-stats": "^1.1.1",
    "@fluentui/react": "^8.114.3",
    "@prettier/sync": "^0.3.0",
    "@rollup/plugin-alias": "^5.0.1",
    "@rollup/plugin-commonjs": "^25.0.7",
    "@rollup/plugin-node-resolve": "^15.2.3",
    "@rollup/plugin-replace": "^5.0.5",
    "@rollup/plugin-terser": "^0.4.4",
    "@rollup/plugin-typescript": "^11.1.6",
    "@tripetto/block-calculator": "^4.0.6",
    "@tripetto/block-checkbox": "^6.0.2",
    "@tripetto/block-checkboxes": "^7.1.1",
    "@tripetto/block-date": "^4.0.3",
    "@tripetto/block-device": "^5.0.2",
    "@tripetto/block-dropdown": "^7.0.0",
    "@tripetto/block-email": "^6.0.3",
    "@tripetto/block-error": "^5.0.4",
    "@tripetto/block-evaluate": "^4.0.2",
    "@tripetto/block-file-upload": "^5.0.2",
    "@tripetto/block-hidden-field": "^6.2.3",
    "@tripetto/block-mailer": "^6.0.3",
    "@tripetto/block-matrix": "^6.0.0",
    "@tripetto/block-multi-select": "^2.1.1",
    "@tripetto/block-multiple-choice": "^7.0.1",
    "@tripetto/block-number": "^8.0.3",
    "@tripetto/block-paragraph": "^5.0.2",
    "@tripetto/block-password": "^6.0.2",
    "@tripetto/block-phone-number": "^4.0.2",
    "@tripetto/block-picture-choice": "^6.0.1",
    "@tripetto/block-radiobuttons": "^8.0.0",
    "@tripetto/block-rating": "^6.0.3",
    "@tripetto/block-regex": "^4.0.2",
    "@tripetto/block-scale": "^4.0.3",
    "@tripetto/block-setter": "^3.0.3",
    "@tripetto/block-statement": "^5.0.3",
    "@tripetto/block-stop": "^3.0.2",
    "@tripetto/block-text": "^6.0.2",
    "@tripetto/block-textarea": "^6.0.3",
    "@tripetto/block-url": "^6.0.2",
    "@tripetto/block-variable": "^3.0.3",
    "@tripetto/block-yes-no": "^6.0.0",
    "@tripetto/builder": "^6.2.1",
    "@tripetto/runner": "^8.1.0",
    "@types/node": "^18.16.2",
    "@types/react": "^18.2.64",
    "@types/react-dom": "^18.2.21",
    "@types/superagent": "^8.1.4",
    "@typescript-eslint/eslint-plugin": "^7.1.1",
    "@typescript-eslint/parser": "^7.1.1",
    "copy-webpack-plugin": "^11.0.0",
    "dts-bundle-generator": "^8.0.1",
    "eslint": "^8.57.0",
    "exit-on-dirty-git": "^1.0.1",
    "git-branch-is": "^4.0.0",
    "npm-check": "^6.0.1",
    "po2json": "^1.0.0-beta-3",
    "prettier": "^3.0.3",
    "promise-polyfill": "^8.3.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "rollup": "^3.29.4",
    "rollup-plugin-visualizer": "^5.12.0",
    "shx": "^0.3.4",
    "terser-webpack-plugin": "^5.3.10",
    "ts-loader": "^9.5.1",
    "tslib": "^2.6.2",
    "typescript": "^5.2.2",
    "url-search-params-polyfill": "^8.2.5",
    "webpack": "^5.89.0",
    "webpack-bundle-analyzer": "^4.10.1",
    "webpack-cli": "^5.1.4",
    "webpack-dev-server": "^4.15.1",
    "webpack-shell-plugin-next": "^2.3.1"
  },
  "peerDependencies": {
    "@fluentui/react": "8 - 8",
    "@tripetto/runner": ">= 8.x",
    "react": ">= 16.14.x",
    "react-dom": ">= 16.x",
    "@types/react": ">= 16.x"
  },
  "dependencies": {
    "@tripetto/runner-react-hook": "^5.0.2",
    "styled-components": "^6.1.8"
  }
}
